Search
j0ke.net Open Build Service
>
Projects
>
server:monitoring
:
netflow
>
flowscan
> flowscan.init
Sign Up
|
Log In
Username
Password
Cancel
Overview
Repositories
Revisions
Requests
Users
Advanced
Attributes
Meta
File flowscan.init of Package flowscan (Revision 3)
Currently displaying revision
3
,
show latest
#! /bin/sh # Copyright (c) 2007 Author: Carsten Schoene <cs@linux-administrator.com> # # /etc/init.d/flowscan # # and symbolic its link # # /usr/sbin/rcflowscan # # System startup script for the flowscan daemon # ### BEGIN INIT INFO # Provides: flowscan # Required-Start: $remote_fs $portmap # Should-Start: flowscan # Required-Stop: portmap # Default-Start: 3 5 # Default-Stop: 0 1 2 6 # Short-Description: Start flowscan # Description: starts the flowscan daemon. ### END INIT INFO FLOWSCAN_BIN=/usr/bin/flowscan test -x $FLOWSCAN_BIN || { echo "$FLOWSCAN_BIN not installed"; if [ "$1" = "stop" ]; then exit 0; else exit 5; fi; } FLOWSCAN_CONFIG=/etc/sysconfig/flowscan test -r $FLOWSCAN_CONFIG || { echo "$FLOWSCAN_CONFIG not existing"; if [ "$1" = "stop" ]; then exit 0; else exit 6; fi; } # Read config . $FLOWSCAN_CONFIG . /etc/rc.status # First reset status of this service rc_reset # Return values acc. to LSB for all commands but status: # 0 - success # 1 - misc error # 2 - invalid or excess args # 3 - unimplemented feature (e.g. reload) # 4 - insufficient privilege # 5 - program not installed # 6 - program not configured # # Note that starting an already running service, stopping # or restarting a not-running service as well as the restart # with force-reload (in case signalling is not supported) are # considered a success. case "$1" in start) echo -n "Starting flowscan" startproc $FLOWSCAN_BIN $FLOWSCAN_OPTIONS $OPTIONS rc_status -v ;; stop) echo -n "Shutting down flowscan" killproc -TERM $FLOWSCAN_BIN rc_status -v ;; try-restart|condrestart) ## Do a restart only if the service was active before. ## Note: try-restart is now part of LSB (as of 1.9). ## RH has a similar command named condrestart. if test "$1" = "condrestart"; then echo "${attn} Use try-restart ${done}(LSB)${attn} rather than condrestart ${warn}(RH)${norm}" fi $0 status if test $? = 0; then $0 restart else rc_reset # Not running is not a failure. fi rc_status ;; restart) $0 stop sleep 1 $0 start rc_status ;; force-reload) echo -n "Reload service flowscan" killproc -HUP $FLOWSCAN_BIN rc_status -v ;; reload) echo -n "Reload service flowscan" killproc -HUP $FLOWSCAN_BIN rc_status -v ;; status) echo -n "Checking for flowscan: " checkproc $FLOWSCAN_BIN rc_status -v ;; probe) if [ /etc/flowscan/flowscan.cf -nt /var/run/flowscan.pid ]; then echo reload elif [ $FLOWSCAN_CONFIG -nt /var/run/flowscan.pid ]; then echo restart fi ;; *) echo "Usage: $0 {start|stop|status|try-restart|restart|force-reload|reload|probe}" exit 1 ;; esac rc_exit